शुरू करें

परिचय

MiniToolAI API प्राकृतिक भाषा प्रसंस्करण, छवि निर्माण, पाठ से भाषण के लिए अत्याधुनिक AI मॉडलों के लिए एक सरल इंटरफ़ेस प्रदान करता है। इस मार्गदर्शिका का पालन करें यह जानने के लिए कि कैसे मानव-समान प्रतिक्रियाएँ उत्पन्न करें (ChatGPT), और पाठ विवरण से छवियाँ बनाएं।

API कुंजी बनाएँ

sk-*************   API कुंजी उत्पन्न करने के लिए लॉगिन करें

राशि जोड़ें

API अनुरोधों की लागत आपके क्रेडिट बैलेंस से काट ली जाएगी।

राशि जोड़ें

प्राधिकरण

प्रत्येक API अनुरोध के लिए हेडर में API कुंजी शामिल होनी चाहिए।

Header: "Authorization: Bearer API_key"

 

 

 

 

ChatGPT API

दिए गए चैट वार्तालाप के लिए एक मॉडल प्रतिक्रिया बनाता है।

Python PHP
import requests
import json
API_Url = "https://minitoolai.com/api/chat-completions/"
API_Key = "MiniToolAI_API_Key"
headers = {
    "Content-Type": "application/json",
    "Authorization": f"Bearer {API_Key}"
}
data = {
    "model": "gpt-4o-mini", #gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
    "messages": [
		{"role": "developer", "content": "You are a helpful assistant."},
		{"role": "user", "content": "Hello"},
		{"role": "assistant", "content": "How can I help you today?"},
		{"role": "user", "content": "What's the largest U.S. state by area?"}
    ],
	"temperature": 1.0,
	"max_completion_tokens": 1000
}

response = requests.post(API_Url, headers=headers, json=data, stream=True)

#single result
print(response.text) 

#streamed
for line in response.iter_lines():
    if line:
        decode_line = line.decode('utf-8')
        print(decode_line)
<?php

$api_url = "https://minitoolai.com/api/chat-completions/";
$api_key = "MiniToolAI_API_Key"; 

$data = [
    "model" => "gpt-4o-mini", //gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
    "messages" => [
        ["role" => "developer", "content" => "You are a helpful assistant."],
        ["role" => "user", "content" => "Hello"],
        ["role" => "assistant", "content" => "How can I help you today?"],
        ["role" => "user", "content" => "What's the largest U.S. state by area?"],
    ],
    "temperature" => 1.0,
    "max_completion_tokens" => 1000
];

$headers = [
    "Content-Type: application/json",
    "Authorization: Bearer $api_key"
];

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, false); 
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

// streamed
curl_setopt($ch, CURLOPT_WRITEFUNCTION, function($ch, $data) {
    echo $data;
    ob_flush(); 
    flush();     
    return strlen($data); 
});

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo "cURL error: " . curl_error($ch);
} 

curl_close($ch);

?>
#data with image input
data = {
    "model": "gpt-4o-mini", #gpt-4o
    "messages": [
        {"role": "developer", "content": "You are a helpful assistant."},
        {
            "role": "user", 
            "content": [
                {"type": "text", "text": "What's in this image?"},
                {
                    "type": "image_url",
                    "image_url": {
                        "url": "https://example.com/image.jpg", #jpg, jpeg, png, webp or gif
                        "detail": "auto" #auto, high or low
                    }
                }
            ]
        }

    ],
    "temperature": 0.7,
    "max_completion_tokens": 300
}
//data with image input
$data = [
    "model" => "gpt-4o-mini", // gpt-4o
    "messages" => [
        ["role" => "developer", "content" => "You are a helpful assistant."],
        [
            "role" => "user",
            "content" => [
                [
                    "type" => "text",
                    "text" => "What's in this image?"
                ],
                [
                    "type" => "image_url",
                    "image_url" => [
                        "url" => "https://example.com/image.jpg", // jpg, jpeg, png, webp or gif
                        "detail" => "auto" // auto, high or low
                    ]
                ]
            ]
        ]
    ],
    "temperature" => 0.7,
    "max_completion_tokens" => 300
];

अनुरोध बॉडी

messages सरणी आवश्यक

अब तक की वार्तालाप को शामिल करने वाले संदेशों की एक सूची।

  • Developer message: डेवलपर द्वारा प्रदान किए गए निर्देश जिन्हें मॉडल को पालन करना चाहिए, उपयोगकर्ता द्वारा भेजे गए संदेशों की परवाह किए बिना।
  • User message: अंतिम उपयोगकर्ता द्वारा भेजे गए संदेश, जिनमें संकेत या अतिरिक्त संदर्भ जानकारी होती है।
  • Assistant message: उपयोगकर्ता संदेशों के उत्तर में मॉडल द्वारा भेजे गए संदेश।

model स्ट्रिंग आवश्यक

उपयोग किए जाने वाले मॉडल का आईडी

उपलब्ध मॉडल: gpt-4o, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano

temperature संख्या या रिक्त वैकल्पिक

डिफ़ॉल्ट रूप से 1

कौन सा सैंपलिंग तापमान उपयोग करना है, 0.0 से 2.0 के बीच। उच्च मान जैसे 0.8 आउटपुट को अधिक रचनात्मक बनाएंगे, जबकि कम मान जैसे 0.2 इसे अधिक केंद्रित और निर्धारक बनाएंगे।

max_completion_tokens पूर्णांक या रिक्त वैकल्पिक

डिफ़ॉल्ट रूप से 1000

पूर्णता के लिए उत्पन्न किए जा सकने वाले टोकनों की अधिकतम सीमा।

प्रतिक्रिया

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"Ok"},"logprobs":null,"finish_reason":null}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[],"usage":{"prompt_tokens":17,"completion_tokens":3,"total_tokens":20,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}}}

data: [DONE]

 

 

 

 

पाठ से छवि

दिए गए संकेत के अनुसार एक छवि बनाता है।

Python PHP
import requests
import json
url = "https://minitoolai.com/api/texttoimage/"
API_Key = "MiniToolAI_API_Key"
headers = {
    "Content-Type": "application/json",
    "Authorization": f"Bearer {API_Key}"
}
data = {
    "model": "realvision",
    "prompt": "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
    "negativePrompt": "unrealistic eyes, malformed features, ugly drawn",
    "scheduler": "DPM++ SDE",
    "steps": 4,
    "cfgScale": 2.0,
    "width": 1152,
    "height": 768
}
response = requests.post(url, json=data, headers=headers)
print(response.text)

'''
#response
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
'''
<?php
// API URL and Key
$url = "https://minitoolai.com/api/texttoimage/";
$API_Key = "MiniToolAI_API_Key";

// Headers
$headers = [
    "Content-Type: application/json",
    "Authorization: Bearer $API_Key"
];

// Data to be sent in the request
$data = [
    "model" => "realvision",
    "prompt" => "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
    "negativePrompt" => "unrealistic eyes, malformed features, ugly drawn",
    "scheduler" => "DPM++ SDE",
    "steps" => 4,
    "cfgScale" => 2.0,
    "width" => 1152,
    "height" => 768
];

// Initialize cURL session
$ch = curl_init();

// Set cURL options
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

// Execute the cURL request
$response = curl_exec($ch);

echo $response;

// Close the cURL session
curl_close($ch);

/*
Response:
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
*/
?>

कार्य की स्थिति और परिणाम प्राप्त करें

curl -X POST https://minitoolai.com/api/texttoimage/jobs/ \
  -H "Content-Type: application/json" \
  -d '{
    "jobid": "12345678",
    "signature": "abcxyz123"
  }'

प्रतिक्रिया

{
  "status": "success",
  "image_url": "https://...",
  "message": "success"
}

model स्ट्रिंग आवश्यक

उपयोग किए जाने वाले मॉडल का आईडी

उपलब्ध मॉडल: "realvision", "juggernaut", "autismmix", "dreamshaper", "valhalla", "mixrealistic", "campursari", "reality", "extrarealistic", "realism", "realgirls", "realityreborn", "amigo", "simplemix", "beautifulrealistic"

prompt स्ट्रिंग आवश्यक

छवि का विवरण

negativePrompt स्ट्रिंग या रिक्त वैकल्पिक

जो आप उत्पन्न छवि में शामिल नहीं करना चाहते हैं उसका विवरण।

scheduler स्ट्रिंग या रिक्त वैकल्पिक

छवि निर्माण प्रक्रिया के दौरान शोर को कैसे हटाया जाए, इसे नियंत्रित करता है।

डिफ़ॉल्ट रूप से "DPM++ SDE"

संभावित मान हैं: "Euler a", "Euler", "LMS", "Heun", "DPM2", "DPM2 a", "DPM++ 2S a", "DPM++ 2M", "DPM++ SDE", "DPM++ 2M SDE", "DPM fast", "LMS Karras", "DPM2 Karras", "DPM2 a Karras", "DPM++ 2S a Karras", "DPM++ 2M Karras", "DPM++ SDE Karras", "DPM++ 2M SDE Karras"

steps पूर्णांक या रिक्त वैकल्पिक

छवि निर्माण प्रक्रिया के लिए चरणों की संख्या, 1 से 8 के बीच।

डिफ़ॉल्ट रूप से 4

cfgScale संख्या या रिक्त वैकल्पिक

cfgScale यह नियंत्रित करता है कि मॉडल को दिए गए टेक्स्ट प्रॉम्प्ट का कितना पालन करना चाहिए। यह रचनात्मकता और सटीकता के बीच संतुलन बनाता है, 1 से 7 के बीच।

डिफ़ॉल्ट रूप से 2

cfgScale < 4 → अधिक रचनात्मक छवियाँ, cfgScale > 4 → संकेत के अधिक निकट, कम रचनात्मक

width/height पूर्णांक या रिक्त वैकल्पिक

उत्पन्न छवि का आकार, 256 से 1344 के बीच।

डिफ़ॉल्ट रूप से 1024

 

 

 

 

API मूल्य निर्धारण

GPT मॉडल

1M टोकनों के लिए मूल्य

मॉडल इनपुट आउटपुट
gpt-4o-mini $0.15 $0.60
gpt-4o $2.50 $10.00
gpt-4.1 $2.00 $8.00
gpt-4.1-mini $0.40 $1.60
gpt-4.1-nano $0.10 $0.40

छवि निर्माण

मॉडल प्रति चित्र मूल्य
सभी मॉडल $0.0015

 

 

 

 

API उपयोग

API उपयोग देखने के लिए लॉगिन करें

पाठ निर्माण

छवि निर्माण